"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const C = require("@collectable/core");
const internals_1 = require("../internals");
const iterateKeysFromFirst_1 = require("./iterateKeysFromFirst");
const set_1 = require("./set");
function fromKeys(compare, keys, mutability) {
    const tree = C.modify(internals_1.createTree(compare, mutability));
    if (Array.isArray(keys)) {
        for (var i = 0; i < keys.length; i++) {
            set_1.set(keys[i], null, tree);
        }
    }
    else {
        const it = internals_1.isRedBlackTree(keys) ? iterateKeysFromFirst_1.iterateKeysFromFirst(keys) : keys[Symbol.iterator]();
        var current;
        while (!(current = it.next()).done) {
            set_1.set(current.value, null, tree);
        }
    }
    return C.commit(tree);
}
exports.fromKeys = fromKeys;
//# sourceMappingURL=fromKeys.js.map