"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const last_1 = require("./last");
/**
 * Retrieves the last key in the tree.
 *
 * @export
 * @template K The type of keys in the tree
 * @template V The type of values in the tree
 * @param {RedBlackTreeStructure<K, V>} tree The input tree
 * @returns {([K, V]|undefined)} The key of the last entry in the tree, or undefined if the tree was empty
 */
function lastKey(tree) {
    var node = last_1.last(tree);
    return core_1.isDefined(node) ? node.key : void 0;
}
exports.lastKey = lastKey;
//# sourceMappingURL=lastKey.js.map