import { RedBlackTreeEntry, RedBlackTreeStructure } from '../internals';
/**
 * Retrieves the first entry in the tree, or undefined if the tree is empty.
 *
 * @export
 * @template K The type of keys in the tree
 * @template V The type of values in the tree
 * @param {RedBlackTreeStructure<K, V>} tree The input tree
 * @returns {(RedBlackTreeEntry<K, V>|undefined)} The first entry in the tree, or undefined if the tree is empty
 */
export declare function first<K, V = null>(tree: RedBlackTreeStructure<K, V>): RedBlackTreeEntry<K, V> | undefined;
